%define upstream_name    Dist-Zilla-Role-Stash-Plugins
%define upstream_version 1.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    A Stash that stores arguments for plugins
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::MVP::Slicer)
BuildRequires: perl(DateTime)
BuildRequires: perl(Dist::Zilla::Role::DynamicConfig)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(Dist::Zilla::Role::Stash)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a role for a Dist::Zilla::Role::Stash that stores arguments for
other plugins.

Stashes performing this role must define _expand_package_.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.6.0-10.mga8
+ Revision: 1494412
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.6.0-9.mga7
+ Revision: 1267749
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.6.0-8.mga6
+ Revision: 1026720
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.6.0-7.mga6
+ Revision: 969761
- Mageia 6 Mass Rebuild

* Tue Sep 08 2015 sander85 <sander85> 1.6.0-6.mga6
+ Revision: 874054
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-5.mga5
+ Revision: 740345
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6.0-3.mga4
+ Revision: 511256
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.6.0-2.mga3
+ Revision: 366730
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.6.0-1.mga3
+ Revision: 342144
- update to 1.006

* Wed Jul 04 2012 jquelin <jquelin> 1.5.0-1.mga3
+ Revision: 267333
- update to 1.005

* Fri Nov 18 2011 jquelin <jquelin> 1.4.0-1.mga2
+ Revision: 168854
- update to 1.004
- update to 1.003

* Wed Mar 16 2011 jquelin <jquelin> 1.2.5-1.mga1
+ Revision: 72437
- imported package perl-Dist-Zilla-Role-Stash-Plugins


* Wed Mar 16 2011 cpan2dist 1.002005-1mga
- initial mageia release, generated with cpan2dist
